From 4103dce44084c5dc3bb067522da6caf8cbdf5662 Mon Sep 17 00:00:00 2001
From: Furkan Mustafa <furkan@rainlab.co.jp>
Date: Fri, 26 Nov 2021 19:47:42 +0900
Subject: [PATCH] setup-apkrepos: fix accepting options

`-c` option was (mistakenly?) omitted in `getopts` call. Causing following error;

    # setup-apkrepos -1 -c
    Illegal option -c
    Added mirror dl-cdn.alpinelinux.org
    Updating repository indexes... done.

Tested this change locally and it works as expected.

Signed-off-by: Furkan Mustafa <furkan@rainlab.co.jp>
---
 setup-apkrepos.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/setup-apkrepos.in b/setup-apkrepos.in
index a692ec4..bb77420 100644
--- a/setup-apkrepos.in
+++ b/setup-apkrepos.in
@@ -157,7 +157,7 @@ community_prefix="# "
 add_fastest=false
 add_first=false
 add_random=false
-while getopts "1fhr" opt; do
+while getopts "c1fhr" opt; do
 	case $opt in
 		c) community_prefix="";;
 		f) add_fastest=true;;
-- 
GitLab

